Get a region

Base URL
https://api.elastic-cloud.com
  • GET /api/v1/serverless/regions/{id}
Auth

Retrieve the details of a cloud service provider region.

Path parameters

id string required

ID of the region

Example: aws-us-east-1

Responses

The requested region

application/json
id string required

Unique human-readable identifier for a region in Elastic Cloud.

name string required

The human readable name for the region

csp enum required

The identifier of the cloud service provider hosting this region.

Values: aws gcp azure
csp_region string required

The unique identifier of the underlying cloud service provider region.

country_code string required

ISO 3166-1 alpha-2 country code which this region is associated with

project_creation_enabled boolean required

Specifies whether the region is available for project creation

Not Found

application/json
errors object[] required
message string required

A human-readable message of the error.

code string required

An identifier for this type of error.

Base URL
https://api.elastic-cloud.com